「ERROR: Failed to resolve: com.android.support:appcompat-v7:27.1.1」の解決方法を紹介

こんにちは、tomoです。

AndroidのプロジェクトをGitHubからクローンしてビルドしようとすると「ERROR: Failed to resolve: com.android.support:appcompat-v7:27.1.1」というエラーが発生しました。

このエラーの解決を備忘録として残しておきます。

「ERROR: Failed to resolve: com.android.support:appcompat-v7:27.1.1」の解決方法を紹介

私の場合、以下の方法でエラーの解決ができました。

プロジェクト側のbuild.gradleを修正する

プロジェクト側のbuild.gradleに以下の修正を加えます。

allprojects {
    repositories {
        google() // こちらを追加する
        jcenter()
    }
}

この修正でエラーは出なくなりました。同じ症状で悩んでいる方は試してみてください。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

CAPTCHA